Return-Path: <fred@cao-vlsi.ibp.fr>
Received: from cao-vlsi.ibp.fr (si) by enseig (4.1/SMI-4.1+GED)
	id AA01921; Tue, 25 May 93 13:30:31 +0100
Received: from roll.ibp.fr by cao-vlsi.ibp.fr (4.1/SMI-4.1+RC++)
	id AA22546; Tue, 25 May 93 14:18:54 +0100
From: fred@cao-vlsi.ibp.fr (Frederic PETROT)
Message-Id: <9305251318.AA22546@cao-vlsi.ibp.fr>
Subject: grog_outline.c
To: dea9234@enseig
Date: Tue, 25 May 1993 14:18:53 +0100 (BST)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Content-Length: 399       
Status: R

#include MUT_H
#include MPH_H
#include MBG_H

void grogoutline()
{
phseg_list *ps,*pz;

	WORK_PHFIG->PHINS = NULL;
	WORK_PHFIG->PHVIA = NULL;

	for (ps = WORK_PHFIG->PHSEG; ps;) {
		if (ps->LAYER == TPOLY || ps->LAYER == TALU1 || 
				ps->LAYER == TALU2 || ps->LAYER == TALU3) {
			ps = ps->NEXT;
			continue;
		}
		pz = ps->NEXT;
		delphseg(WORK_PHFIG, ps);
		ps = pz;
	}
	savephfig(WORK_PHFIG);
}
